Function
arrayMove
Moves a range of objects into another range of objects.
arrayMove(source_begin, source_end, target)
Include Headers
seqan/basic.h
Parameters

source_begin | Iterator to the first element of the source range.
source_end | Iterator behind the last element of the source range. source_end must have the same type as source_begin.
target | Iterator to the first element of the target range. The target capacity should be at least as long as the source range.

Remarks
The function possibly clears (but does not destroy) the source elements. If source elements must persist, consider to use arrayCopy instead.
If source and target range do not overlap, consider to use arrayMoveForward instead to improve performance.
Note: Don't confuse this function with the standard move function that resembles arrayCopy.
See Also
arrayMoveForward, SimpleType, arrayCopy, arrayMoveBackward, arrayConstructMove
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46